Coordinate Mapping Functions

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

Functions
Coordinate Mapping Functions
Evas » Canvas Functions

Functions that are used to map coordinates from the canvas to the screen or the screen to the canvas. More...

## Functions
EOAPI int | evas_canvas_coord_world_x_to_screen (Evas_Coord x)
| Convert/scale a canvas co-ordinate into output screen co-ordinates. More...
EOAPI Evas_Coord | evas_canvas_coord_screen_y_to_world (int y)
| Convert/scale an output screen co-ordinate into canvas co-ordinates. More...
EOAPI Evas_Coord | evas_canvas_coord_screen_x_to_world (int x)
| Convert/scale an output screen co-ordinate into canvas co-ordinates. More...
EOAPI int | evas_canvas_coord_world_y_to_screen (Evas_Coord y)
| Convert/scale a canvas co-ordinate into output screen co-ordinates. More...
int | evas::canvas::coord_world_x_to_screen (Evas_Coord x_) const
| Convert/scale a canvas co-ordinate into output screen co-ordinates. More...
Evas_Coord | evas::canvas::coord_screen_y_to_world (int y_) const
| Convert/scale an output screen co-ordinate into canvas co-ordinates. More...
Evas_Coord | evas::canvas::coord_screen_x_to_world (int x_) const
| Convert/scale an output screen co-ordinate into canvas co-ordinates. More...
int | evas::canvas::coord_world_y_to_screen (Evas_Coord y_) const
| Convert/scale a canvas co-ordinate into output screen co-ordinates. More...
int | evas_coord_world_x_to_screen (const Evas_Canvas *obj, Evas_Coord x)
| Convert/scale a canvas co-ordinate into output screen co-ordinates. More...
Evas_Coord | evas_coord_screen_y_to_world (const Evas_Canvas *obj, int y)
| Convert/scale an output screen co-ordinate into canvas co-ordinates. More...
Evas_Coord | evas_coord_screen_x_to_world (const Evas_Canvas *obj, int x)
| Convert/scale an output screen co-ordinate into canvas co-ordinates. More...
int | evas_coord_world_y_to_screen (const Evas_Canvas *obj, Evas_Coord y)
| Convert/scale a canvas co-ordinate into output screen co-ordinates. More...

## Detailed Description

Functions that are used to map coordinates from the canvas to the screen or the screen to the canvas.

## Function Documentation

EOAPI int evas_canvas_coord_world_x_to_screen | ( | Evas_Coord | x | ) |

Convert/scale a canvas co-ordinate into output screen co-ordinates.

Returns
  The output/screen co-ordinate translated to output co-ordinates

This function takes in a horizontal co-ordinate as the `x` parameter and converts it into output units, accounting for output size, viewport size and location, returning it as the function return value. If `e` is invalid, the results are undefined.

Example:

1 extern Evas *evas;
2 int screen_x;
3 extern Evas_Coord canvas_x;
4
5 screen_x = evas_coord_world_x_to_screen(evas, canvas_x);

Parameters

  [in] | x | The canvas x co-ordinate

Referenced by evas_coord_world_x_to_screen().

EOAPI Evas_Coord evas_canvas_coord_screen_y_to_world | ( | int | y | ) |

Convert/scale an output screen co-ordinate into canvas co-ordinates.

Returns
  The screen co-ordinate translated to canvas unit co-ordinates

This function takes in a vertical co-ordinate as the `y` parameter and converts it into canvas units, accounting for output size, viewport size and location, returning it as the function return value. If `e` is invalid, the results are undefined.

Example:

1 extern Evas *evas;
2 extern int screen_y;
3 Evas_Coord canvas_y;
4
5 canvas_y = evas_coord_screen_y_to_world(evas, screen_y);

Parameters

  [in] | y | The screen/output y co-ordinate

Referenced by evas_coord_screen_y_to_world().

EOAPI Evas_Coord evas_canvas_coord_screen_x_to_world | ( | int | x | ) |

Convert/scale an output screen co-ordinate into canvas co-ordinates.

Returns
  The screen co-ordinate translated to canvas unit co-ordinates

This function takes in a horizontal co-ordinate as the `x` parameter and converts it into canvas units, accounting for output size, viewport size and location, returning it as the function return value. If `e` is invalid, the results are undefined.

Example:

1 extern Evas *evas;
2 extern int screen_x;
3 Evas_Coord canvas_x;
4
5 canvas_x = evas_coord_screen_x_to_world(evas, screen_x);

Parameters

  [in] | x | The screen/output x co-ordinate

Referenced by evas_coord_screen_x_to_world().

EOAPI int evas_canvas_coord_world_y_to_screen | ( | Evas_Coord | y | ) |

Convert/scale a canvas co-ordinate into output screen co-ordinates.

Returns
  The output/screen co-ordinate translated to output co-ordinates

This function takes in a vertical co-ordinate as the `x` parameter and converts it into output units, accounting for output size, viewport size and location, returning it as the function return value. If `e` is invalid, the results are undefined.

Example:

1 extern Evas *evas;
2 int screen_y;
3 extern Evas_Coord canvas_y;
4
5 screen_y = evas_coord_world_y_to_screen(evas, canvas_y);

Parameters

  [in] | y | The canvas y co-ordinate

Referenced by evas_coord_world_y_to_screen().

int evas::canvas::coord_world_x_to_screen | ( | Evas_Coord | x_ | ) | const

Convert/scale a canvas co-ordinate into output screen co-ordinates.

Returns
  The output/screen co-ordinate translated to output co-ordinates

This function takes in a horizontal co-ordinate as the `x` parameter and converts it into output units, accounting for output size, viewport size and location, returning it as the function return value. If `e` is invalid, the results are undefined.

Example:

extern Evas *evas;
int screen_x;
extern Evas_Coord canvas_x;
screen_x = evas_coord_world_x_to_screen(evas, canvas_x);

Parameters

  x | The canvas x co-ordinate

Evas_Coord evas::canvas::coord_screen_y_to_world | ( | int | y_ | ) | const

Convert/scale an output screen co-ordinate into canvas co-ordinates.

Returns
  The screen co-ordinate translated to canvas unit co-ordinates

This function takes in a vertical co-ordinate as the `y` parameter and converts it into canvas units, accounting for output size, viewport size and location, returning it as the function return value. If `e` is invalid, the results are undefined.

Example:

extern Evas *evas;
extern int screen_y;
Evas_Coord canvas_y;
canvas_y = evas_coord_screen_y_to_world(evas, screen_y);

Parameters

  y | The screen/output y co-ordinate

Evas_Coord evas::canvas::coord_screen_x_to_world | ( | int | x_ | ) | const

Convert/scale an output screen co-ordinate into canvas co-ordinates.

Returns
  The screen co-ordinate translated to canvas unit co-ordinates

This function takes in a horizontal co-ordinate as the `x` parameter and converts it into canvas units, accounting for output size, viewport size and location, returning it as the function return value. If `e` is invalid, the results are undefined.

Example:

extern Evas *evas;
extern int screen_x;
Evas_Coord canvas_x;
canvas_x = evas_coord_screen_x_to_world(evas, screen_x);

Parameters

  x | The screen/output x co-ordinate

int evas::canvas::coord_world_y_to_screen | ( | Evas_Coord | y_ | ) | const

Convert/scale a canvas co-ordinate into output screen co-ordinates.

Returns
  The output/screen co-ordinate translated to output co-ordinates

This function takes in a vertical co-ordinate as the `x` parameter and converts it into output units, accounting for output size, viewport size and location, returning it as the function return value. If `e` is invalid, the results are undefined.

Example:

extern Evas *evas;
int screen_y;
extern Evas_Coord canvas_y;
screen_y = evas_coord_world_y_to_screen(evas, canvas_y);

Parameters

  y | The canvas y co-ordinate

int evas_coord_world_x_to_screen | ( | const Evas_Canvas * | obj,
|  | Evas_Coord | x
| ) |  |

Convert/scale a canvas co-ordinate into output screen co-ordinates.

Returns
  The output/screen co-ordinate translated to output co-ordinates

This function takes in a horizontal co-ordinate as the `x` parameter and converts it into output units, accounting for output size, viewport size and location, returning it as the function return value. If `e` is invalid, the results are undefined.

Example:

1 extern Evas *evas;
2 int screen_x;
3 extern Evas_Coord canvas_x;
4
5 screen_x = evas_coord_world_x_to_screen(evas, canvas_x);

Parameters

  [in] | x | The canvas x co-ordinate

References evas_canvas_coord_world_x_to_screen().

Evas_Coord evas_coord_screen_y_to_world | ( | const Evas_Canvas * | obj,
|  | int | y
| ) |  |

Convert/scale an output screen co-ordinate into canvas co-ordinates.

Returns
  The screen co-ordinate translated to canvas unit co-ordinates

This function takes in a vertical co-ordinate as the `y` parameter and converts it into canvas units, accounting for output size, viewport size and location, returning it as the function return value. If `e` is invalid, the results are undefined.

Example:

1 extern Evas *evas;
2 extern int screen_y;
3 Evas_Coord canvas_y;
4
5 canvas_y = evas_coord_screen_y_to_world(evas, screen_y);

Parameters

  [in] | y | The screen/output y co-ordinate

References evas_canvas_coord_screen_y_to_world().

Evas_Coord evas_coord_screen_x_to_world | ( | const Evas_Canvas * | obj,
|  | int | x
| ) |  |

Convert/scale an output screen co-ordinate into canvas co-ordinates.

Returns
  The screen co-ordinate translated to canvas unit co-ordinates

This function takes in a horizontal co-ordinate as the `x` parameter and converts it into canvas units, accounting for output size, viewport size and location, returning it as the function return value. If `e` is invalid, the results are undefined.

Example:

1 extern Evas *evas;
2 extern int screen_x;
3 Evas_Coord canvas_x;
4
5 canvas_x = evas_coord_screen_x_to_world(evas, screen_x);

Parameters

  [in] | x | The screen/output x co-ordinate

References evas_canvas_coord_screen_x_to_world().

int evas_coord_world_y_to_screen | ( | const Evas_Canvas * | obj,
|  | Evas_Coord | y
| ) |  |

Convert/scale a canvas co-ordinate into output screen co-ordinates.

Returns
  The output/screen co-ordinate translated to output co-ordinates

This function takes in a vertical co-ordinate as the `x` parameter and converts it into output units, accounting for output size, viewport size and location, returning it as the function return value. If `e` is invalid, the results are undefined.

Example:

1 extern Evas *evas;
2 int screen_y;
3 extern Evas_Coord canvas_y;
4
5 screen_y = evas_coord_world_y_to_screen(evas, canvas_y);

Parameters

  [in] | y | The canvas y co-ordinate

References evas_canvas_coord_world_y_to_screen().